Package org.bukkit.event.player

# Class PlayerChatEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChatEvent

All Implemented Interfaces:
  `Cancellable`

@Deprecated public class PlayerChatEvent extends PlayerEvent implements Cancellable
Deprecated.
This event will fire from the main thread and allows the use of all of the Bukkit API, unlike the `AsyncPlayerChatEvent`.

Listening to this event forces chat to wait for the main thread which causes delays for chat. `AsyncPlayerChatEvent` is the encouraged alternative for thread safe implementations.

Holds information for player chat and commands

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChatEvent(@NotNull Player player, @NotNull String message)`
Deprecated.
`PlayerChatEvent(@NotNull Player player, @NotNull String message, @NotNull String format, @NotNull Set<Player> recipients)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getFormat()`
Deprecated.
Gets the format to use to display this chat message
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.
`@NotNull String`
`getMessage()`
Deprecated.
Gets the message that the player is attempting to send
`@NotNull Set<Player>`
`getRecipients()`
Deprecated.
Gets a set of recipients that this chat message will be displayed to
`boolean`
`isCancelled()`
Deprecated.
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Deprecated.
Sets the cancellation state of this event.
`void`
`setFormat(@NotNull String format)`
Deprecated.
Sets the format to use to display this chat message
`void`
`setMessage(@NotNull String message)`
Deprecated.
Sets the message that the player will send
`void`
`setPlayer(@NotNull Player player)`
Deprecated.
Sets the player that this message will display as, or command will be executed as

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChatEvent

public PlayerChatEvent(@NotNull @NotNull Player player, @NotNull @NotNull String message)
Deprecated.

### PlayerChatEvent

public PlayerChatEvent(@NotNull @NotNull Player player, @NotNull @NotNull String message, @NotNull @NotNull String format, @NotNull @NotNull Set<Player> recipients)
Deprecated.

## Method Details

### isCancelled

public boolean isCancelled()
Deprecated.
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Deprecated.
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getMessage

@NotNull public @NotNull String getMessage()
Deprecated.
Gets the message that the player is attempting to send

Returns:
  Message the player is attempting to send

### setMessage

public void setMessage(@NotNull @NotNull String message)
Deprecated.
Sets the message that the player will send

Parameters:
  `message` - New message that the player will send

### setPlayer

public void setPlayer(@NotNull @NotNull Player player)
Deprecated.
Sets the player that this message will display as, or command will be executed as

Parameters:
  `player` - New player which this event will execute as

### getFormat

@NotNull public @NotNull String getFormat()
Deprecated.
Gets the format to use to display this chat message

Returns:
  String.Format compatible format string

### setFormat

public void setFormat(@NotNull @NotNull String format)
Deprecated.
Sets the format to use to display this chat message

Parameters:
  `format` - String.Format compatible format string

### getRecipients

@NotNull public @NotNull Set<Player> getRecipients()
Deprecated.
Gets a set of recipients that this chat message will be displayed to

Returns:
  All Players who will see this chat message

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.